@import url('./variables.css');
@import url('./reset.css');
@import url('https://fonts.googleapis.com/css2?family=Red+Rose:wght@300..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Red+Rose:wght@300..700&family=Satisfy&display=swap');

.hero-wrapper {
  background-image: url('../assets/introimg.jpg');
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  padding: 0 0 20px 0;
}

#intro {
  text-align: center;
  margin-top: -100px;
}

.hero-content {
  max-width: 800px;
  margin: 0 auto;
}

.hero-content h1 {
  font-size: 2.5rem;
  margin-top: 0px;
  margin-bottom: -10px;
}

.hero-content p {
  font-size: 1.2rem;
}

/* All sections */
section {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 20px;
}

#based {
  font-size: 2rem;
}

section h2 {
  font-size: 2.1rem;
}

/* Portfolio intro */
#portfolio {
  scroll-margin-top: 30px;
  padding-top: 38px;
}

.lines {
  display: flex;
  align-items: center;
  text-align: center;
  font-size: 1.3rem;
  width: 60%;
  margin-top: 10px;
  margin-bottom: 40px;
}

.lines::before,
.lines::after {
  content: '';
  flex: 1;
  border-bottom: 1px solid var(--color-divider);
  margin: 0 20px;
}

.projects {
  display: grid;
  gap: 20px;
  grid-template-columns: repeat(3, 1fr);
}

.card {
  width: var(--card-width-desktop);
  padding: 20px;
  border: 1px solid var(--color-border);
  border-radius: var(--radius-card);
  box-shadow: var(--shadow-card);
}

.card img {
  max-width: 100%;
  height: auto;
  border-radius: var(--radius-img);
  margin-bottom: 5px;
}

.card h3 {
  margin-top: 15px;
  font-weight: 550;
  color: var(--color-primary);
}

.card a {
  display: inline-block;
  text-decoration: none;
  color: var(--color-link);
  padding: 4px;
}

.card p {
  color: var(--color-primary);
}

.card:hover {
  transform: scale(1.02);
  transition: var(--elevate);
}

.card a:hover {
  transform: scale(1.06);
  transition: var(--elevate);
  color: var(--color-link-hover);
}

.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;
}

/* About */
#about {
  padding: 50px 20px;
  background-color: #000;
  color: var(--color-primary);
  text-align: center;
}

.about-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  max-width: 900px;
  margin: 0 auto;
  gap: 20px;
}

.about-content img {
  max-width: 300px;
  border-radius: 50%;
  filter: grayscale(100%);
  transition: filter 0.3s ease;
  box-shadow: 0 0 10px rgba(128, 128, 128, 0.7);
}

.about-content img:hover {
  filter: grayscale(0%);
}

.about-content p {
  flex: 1;
  font-size: 1.2rem;
  text-align: left;
  font-weight: 450;
}

/* Contact */
#contact a {
  text-decoration: none;
  color: var(--color-primary);
}

#contact a:hover {
  text-decoration: underline;
}

/* Media queries max 480px */
@media (max-width: 480px) {
  .hero-content h1 {
    font-size: 1.7rem;
  }

  #based {
    font-size: 1.3rem;
  }

  .hero-content h3 {
    font-size: 0.9rem;
  }

  .lines {
    width: 100%;
  }

  #portfolio {
    padding-left: 10px;
    padding-right: 10px;
  }

  .card {
    padding: 10px;
  }

  .card h3 {
    font-size: 1.3rem;
  }

  .about-content {
    gap: 0px;
  }

  .lines::before,
  .lines::after {
    margin: 0 10px;
  }
}

/* Media queries max 768px */
@media (max-width: 768px) {
  .hero-content h1 {
    padding-top: 100px;
    font-size: 1.9rem;
  }

  #based {
    font-size: 1.7rem;
  }

  section {
    min-height: auto;
  }

  section h2 {
    font-size: 1.9rem;
  }

  h3 {
    font-size: 1.7rem;
  }

  h3::before,
  h3::after {
    margin: 0 10px;
  }

  .hero-content h1 {
    font-size: 2rem;
  }

  #based {
    font-size: 1.6rem;
  }

  .hero-content h3 {
    font-size: 1rem;
  }

  .about-content p {
    font-size: 1rem;
  }

  .about-content {
    flex-direction: column-reverse;
    text-align: center;
  }

  .about-content img {
    max-width: 50%;
    margin-bottom: 20px;
  }

  .about-content p {
    padding: 0 10px;
    font-size: 1rem;
    max-width: 400px;
  }

  .lines {
    width: 80%;
  }

  #contact {
    padding-bottom: 80px;
  }
}

/* Tablet */
@media (max-width: 1024px) {
  .projects {
    grid-template-columns: repeat(2, 1fr);
  }
}

/* Mobile */
@media (max-width: 600px) {
  .projects {
    grid-template-columns: 1fr;
  }
}

/* Media queries min 768px max 1150px */
@media (min-width: 768px) and (max-width: 1150px) {
  section {
    min-height: 60vh;
  }

  .hero-content h1 {
    padding-top: 100px;
  }

  .card {
    padding: 10px;
  }
}

@media (max-width: 1150px) {
  #about {
    padding-top: 100px;
  }
}

/* Media queries min 600px max 1024px */
@media (min-width: 600px) and (max-width: 1024px) {
  .about-content {
    margin: 40px;
  }
}

/* Media queries min 300px max 768px */
@media (min-width: 300px) and (max-width: 768px) {
  #portfolio {
    scroll-margin-top: 50px;
    padding-top: 50px;
  }
}

/* Media queries min 769px max 1500 */
@media (min-width: 769px) and (max-width: 1500px) {
  #portfolio {
    scroll-margin-top: 40px;
    padding-top: 40px;
  }
}

@media (min-width: 769px) {
  .projects {
    padding: 20px 60px;
  }
}
